Package opennlp.tools.langdetect

# Record Class ProbingLanguageDetectionResult

java.lang.Object
java.lang.Record
opennlp.tools.langdetect.ProbingLanguageDetectionResult

Record Components:
  `languages` - The `languages` detected.
  `length` - The length in codepoints of text processed.

public record ProbingLanguageDetectionResult(Language[] languages, int length) extends Record
A data container encapsulating language detection results.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProbingLanguageDetectionResult(Language[] languages, int length)`
  Creates an instance of a `ProbingLanguageDetectionResult` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `Language[]`
  `getLanguages()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `int`
  `getLength()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Language[]`
  `languages()`
  Returns the value of the `languages` record component.
  `int`
  `length()`
  Returns the value of the `length` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProbingLanguageDetectionResult

    public ProbingLanguageDetectionResult(Language[] languages, int length)
    Creates an instance of a `ProbingLanguageDetectionResult` record class.
    Parameters:
      `languages` - the value for the `languages` record component
      `length` - the value for the `length` record component

- ## Method Details

  - ### getLanguages

    @Deprecated(forRemoval=true) public Language[] getLanguages()
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### getLength

    @Deprecated(forRemoval=true) public int getLength()
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### languages

    public Language[] languages()
    Returns the value of the `languages` record component.
    Returns:
      the value of the `languages` record component

  - ### length

    public int length()
    Returns the value of the `length` record component.
    Returns:
      the value of the `length` record component